Package org.gradle.api.tasks.ant

## Class AntTarget

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.ant.AntTarget

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      public class AntTarget
      extends org.gradle.api.internal.ConventionTask

  A task which executes an Ant target.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AntTarget()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `executeAntTarget()` |
    `File` | `getBaseDir()` | Returns the Ant project base directory to use when executing the target.
    `String` | `getDescription()` | Returns the description of this task.
    `org.apache.tools.ant.Target` | `getTarget()` | Returns the Ant target to execute.
    `void` | `setBaseDir​(File baseDir)` | Sets the Ant project base directory to use when executing the target.
    `void` | `setDescription​(String description)` | Sets a description for this task.
    `void` | `setTarget​(org.apache.tools.ant.Target target)` | Sets the Ant target to execute.

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AntTarget

          public AntTarget()

  - ### Method Detail

    - #### executeAntTarget

          protected void executeAntTarget()

    - #### getTarget

          @Internal
          public org.apache.tools.ant.Target getTarget()

      Returns the Ant target to execute.

    - #### setTarget

          public void setTarget​(org.apache.tools.ant.Target target)

      Sets the Ant target to execute.

    - #### getBaseDir

          @Internal
          public File getBaseDir()

      Returns the Ant project base directory to use when executing the target.

    - #### setBaseDir

          public void setBaseDir​(File baseDir)

      Sets the Ant project base directory to use when executing the target.

    - #### getDescription

          @Internal
          public String getDescription()

      Returns the description of this task.
      Specified by:
        `getDescription` in interface `Task`
      Overrides:
        `getDescription` in class `org.gradle.api.internal.AbstractTask`
      Returns:
        the description. May return null.

    - #### setDescription

          public void setDescription​(String description)

      Sets a description for this task. This should describe what the task does to the user of the build. The description will be displayed when `gradle tasks` is called.
      Specified by:
        `setDescription` in interface `Task`
      Overrides:
        `setDescription` in class `org.gradle.api.internal.AbstractTask`
      Parameters:
        `description` - The description of the task. Might be null.